Subject: Re: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Nathan Trapuzzano <[email-masked]>
Date: Sat, 11 Jan 2014 08:52:23 -0500

Eli Zaretskii <[email-masked]> writes:

>> Functions that I know to be problematic include:
>> 
>> get-text-property
>> text-properties-at
>> previous-single-property-change
>
> The first two are low-level primitives that explicitly ignore the
> narrowing; don't use them if you want them to be limited to the
> narrowed region.

char-after is a primitive, and it behaves intuitively at (point-max) on
narrowed buffers.  Why shouldn't other functions behave consistently?

> The last one should simply returns the search limit if it hits the
> beginning of the narrowing, so I'm not sure why it is in this list.

Nevermind about the search functions.  I was confused about the behavior
of previous-single-property-change.  The problem lies in the functions
that fetch the properties.